Package org.apache.wiki.htmltowiki.syntax

# Class InputDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.InputDecorator

public abstract class InputDecorator extends Object
Translates to wiki syntax from a `INPUT` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`InputDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupForInputAttribute(String attr, String value)`
Wiki markup for an `INPUT`'s attribute.
`protected abstract String`
`markupInputClose()`
Closing wiki markup for an `INPUT` element.
`protected abstract String`
`markupInputOpen()`
Opening wiki markup for an `INPUT` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### InputDecorator

protected InputDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupForInputAttribute

protected abstract String markupForInputAttribute(String attr, String value)
Wiki markup for an `INPUT`'s attribute.

Parameters:
  `attr` - attribute's name.
  `value` - attribute's value.
Returns:
  Opening wiki markup for an `INPUT` element.

### markupInputOpen

protected abstract String markupInputOpen()
Opening wiki markup for an `INPUT` element.

Returns:
  Opening wiki markup for an `INPUT` element.

### markupInputClose

protected abstract String markupInputClose()
Closing wiki markup for an `INPUT` element.

Returns:
  Closing wiki markup for an `INPUT` element.